curl --request POST \
--url https://loadbalancer.{region}.basaltic.sh/v1/target-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "web-targets",
"protocol": "http",
"port": 8080,
"target_type": "instance",
"health_check": {
"enabled": true,
"protocol": "http",
"path": "/healthz",
"port": 8080,
"interval_sec": 30,
"timeout_sec": 5,
"healthy_threshold": 3,
"unhealthy_threshold": 3,
"matcher": "200-299,301"
},
"proxy_protocol": false,
"target_mode": "static",
"instance_pool": "a1b2c3d4-e5f6-4789-a0b1-c2d3e4f5a6b7",
"tags": {
"environment": "production",
"team": "backend"
}
}
'import requests
url = "https://loadbalancer.{region}.basaltic.sh/v1/target-groups"
payload = {
"name": "web-targets",
"protocol": "http",
"port": 8080,
"target_type": "instance",
"health_check": {
"enabled": True,
"protocol": "http",
"path": "/healthz",
"port": 8080,
"interval_sec": 30,
"timeout_sec": 5,
"healthy_threshold": 3,
"unhealthy_threshold": 3,
"matcher": "200-299,301"
},
"proxy_protocol": False,
"target_mode": "static",
"instance_pool": "a1b2c3d4-e5f6-4789-a0b1-c2d3e4f5a6b7",
"tags": {
"environment": "production",
"team": "backend"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'web-targets',
protocol: 'http',
port: 8080,
target_type: 'instance',
health_check: {
enabled: true,
protocol: 'http',
path: '/healthz',
port: 8080,
interval_sec: 30,
timeout_sec: 5,
healthy_threshold: 3,
unhealthy_threshold: 3,
matcher: '200-299,301'
},
proxy_protocol: false,
target_mode: 'static',
instance_pool: 'a1b2c3d4-e5f6-4789-a0b1-c2d3e4f5a6b7',
tags: {environment: 'production', team: 'backend'}
})
};
fetch('https://loadbalancer.{region}.basaltic.sh/v1/target-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"target_group": {
"id": "b8c9d0e1-f2a3-4456-b7c8-d9e0f1a2b3c4",
"crn": "crn:loadbalancer:sa-saopaulo-1:my-account:target-group/web-backends",
"account_id": "6f9619ff-8b86-4d01-b42d-00cf4fc964ff",
"name": "web-targets",
"protocol": "http",
"target_type": "instance",
"port": 8080,
"health_check": {
"enabled": true,
"protocol": "http",
"path": "/healthz",
"port": 8080,
"interval_sec": 30,
"timeout_sec": 5,
"healthy_threshold": 3,
"unhealthy_threshold": 3,
"matcher": "200-299,301"
},
"proxy_protocol": false,
"session_affinity": {
"type": "cookie",
"cookie_name": "BASALTICLB",
"duration_sec": 86400
},
"target_mode": "static",
"tags": {
"environment": "production",
"team": "backend"
},
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"instance_pool_id": "a1b2c3d4-e5f6-4789-a0b1-c2d3e4f5a6b7"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Crear un grupo de destinos
loadbalancer:CreateTargetGroup. Consulta permisos de balanceadores de carga para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Encabezados
Clave opcional generada por el cliente que hace que una creación sea segura para la reproducción. Al volver a intentar una solicitud con la misma clave, se devuelve el resultado original literalmente en lugar de crear un recurso duplicado. Se rechaza la reutilización de una clave con un cuerpo de solicitud diferente (422); una solicitud cuya clave todavía se está procesando devuelve 409. Los registros se mantienen durante 24 horas. Usa un UUID o un token único similar.
255Cuerpo
instance_pool acepta un UUID, CRN o nombre exacto de ámbito de cuenta en esta región y requiere el modo de destino de agrupación.
Los nombres de los recursos no deben comenzar con el prefijo literal crn: ni ser UUID (en cualquier caso, en las formas canónica, compacta, entre corchetes o urn:uuid:).
"web-targets"
http, https, tcp, udp "http"
1 <= x <= 655358080
ip, instance, function "instance"
Las sondas activas están habilitadas de forma predeterminada. Establezca enabled=false para detener las sondas mientras mantiene su configuración. Una comprobación HTTP/HTTPS habilitada explícitamente requiere una ruta de acceso no vacía que comience con /. Las comprobaciones TCP se conectan al puerto de comprobación sin una ruta HTTP. Los grupos UDP se conectan por defecto a las sondas TCP.
Show child attributes
Show child attributes
false
Sesiones fijas: fija un cliente a un backend del grupo en lugar de equilibrar cada solicitud de forma independiente. Apagado a menos que lo pidas.
El plano de datos hace hash de la clave de forma consistente, por lo que agregar o perder un backend solo mueve a los clientes que ese backend estaba sirviendo.
Show child attributes
Show child attributes
static (el valor por defecto) toma los backends que adjunta como objetivos. pool los toma de un pool de instancias de computación y requiere instance_pool; el grupo se fuerza a target_type=instancia, y se rechaza la adjunción de objetivos a él.
static, pool "static"
Calcular el grupo de instancias para dibujar backends. Requerido cuando target_mode=pool y debe pertenecer a la cuenta que llama; ignorado de lo contrario.
"a1b2c3d4-e5f6-4789-a0b1-c2d3e4f5a6b7"
Show child attributes
Show child attributes
{
"environment": "production",
"team": "backend"
}
Respuesta
Creado
Show child attributes
Show child attributes

